## ntp 4.2.8p9+dfsg

=== debian/changelog ===
ntp (1:4.2.8p9+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Force program locations to use 'legacy' defaults (Closes: #851803)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Sat, 28 Jan 2017 11:58:18 +0000

ntp (1:4.2.8p9+dfsg-2) unstable; urgency=medium

  * CVE-2016-0727: NTP statsdir cleanup cronjob insecure (Closes: #839998)
    Patch by Salvatore Bonaccorso <carnil@debian.org>. Patch was dropped
    in 1:4.2.8p9+dfsg-1.

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Nov 2016 20:09:17 +0100

ntp (1:4.2.8p9+dfsg-1) unstable; urgency=medium

  * New usptream version
    - Adds OpenSSL 1.1.0 support (Closes: #828461)
    - Fix CVE-2016-9311
    - Fix CVE-2016-9310
    - Fix CVE-2016-7427
    - Fix CVE-2016-7428
    - Fix CVE-2016-9312
    - Fix CVE-2016-7431
    - Fix CVE-2016-7434
    - Fix CVE-2016-7429
    - Fix CVE-2016-7426
    - Fix CVE-2016-7433
  * Update watch for new version specific URL. Patch from 
    Nicholas Luedtke <nicholas.luedtke@hpe.com> (Closes: #823269)
  * Make ntpdate-debian use the DHCP servers. Patch from 
    Christian Ehrhardt <christian.ehrhardt@canonical.com> (Closes: #617965)
  * Move dhcp temporary files from /var/lib to /run. (Closes: #600661)
  * Wait for ntp to die in the stop target. Patch from Christoph Biedl
    <debian.axhn@manchmal.in-ulm.de> (Closes: #802040)

 -- Kurt Roeckx <kurt@roeckx.be>  Mon, 21 Nov 2016 19:30:02 +0100
