=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE
 CFLAGS   = $(shell dpkg-buildflags --get CFLAGS) -fno-strict-aliasing
@@ -14,15 +16,18 @@
 endif
 	dh_autoreconf
 	./configure CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' LDFLAGS='$(LDFLAGS)' \
+		--build=$(DEB_BUILD_GNU_TYPE) \
+		--host=$(DEB_HOST_GNU_TYPE) \
 		--prefix=/usr \
 		--enable-all-clocks --enable-parse-clocks --enable-SHM \
-		--enable-debugging --sysconfdir=/var/lib/ntp \
+		--disable-debugging --sysconfdir=/var/lib/ntp \
 		--with-sntp=no \
 		--with-lineeditlibs=edit \
 		--without-ntpsnmpd \
 		--disable-local-libopts \
 		--enable-ntp-signd \
 		--disable-dependency-tracking \
+		--with-locfile=legacy \
 		--with-openssl-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 build: build-arch build-indep
@@ -60,6 +65,7 @@
 
 	install -D -m 0755 scripts/ntpsweep/ntpsweep debian/ntp/usr/bin/ntpsweep
 	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
+	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
 	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
 
@@ -69,9 +75,6 @@
 	install -D -m 0644 debian/apparmor-profile debian/ntp/etc/apparmor.d/usr.sbin.ntpd
 	install -D -m 0644 debian/apparmor-profile.tunable debian/ntp/etc/apparmor.d/tunables/ntpd
 	dh_link -pntp etc/apparmor.d/usr.sbin.ntpd etc/apparmor/init/network-interface-security/usr.sbin.ntpd
-
-	# install apport hook
-	install -D -m 644 debian/source_ntp.py debian/ntp/usr/share/apport/package-hooks/source_ntp.py
 
 	# remove upstream man pages, which are currently not as nice as ours / ntpsnmpd we don't want
 	rm $(addprefix debian/tmp/usr/share/man/man1/,ntpd.1 ntpdc.1 ntp-keygen.1 ntpq.1)
@@ -107,8 +110,8 @@
 	dh_installexamples -a
 	dh_installman -a
 	dh_installinit -pntp --error-handler=installinit_error
-	dh_apparmor -pntp --profile-name=usr.sbin.ntpd
 	dh_installinit -pntpdate
+	dh_apparmor --profile-name=usr.sbin.ntpd -pntp
 	dh_installcron -a
 	dh_installlogcheck -a
 	dh_installchangelogs -a
