## ntp 4.2.8p10+dfsg

=== debian/changelog ===
ntp (1:4.2.8p10+dfsg-6) unstable; urgency=medium

  * Make sntp KoD path FHS-compliant.
    Thanks to Aaron Smith (Closes: #863873)
  * Drop historic Breaks/Pre-Depends
  * Drop historic conffile handling from pre-jessie
  * Adjust ntpdate description stating that it is deprecated
  * Move Vcs-* to salsa
  * Bump Standards-Version to 4.1.3.0, no changes necessary
  * Cherry-pick patch from upstream to increase stack size.
    Thanks to Frederic Endner-Dühr for testing (Closes: #887385)
  * Temporarily add ntpdate lock for systemd wrapper.
    Thanks to Christian Ehrhardt (Closes: #874540)
  * Add note about AppArmor tunable in README.Debian (Closes: #883949)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 24 Jan 2018 22:42:13 +0100

ntp (1:4.2.8p10+dfsg-5) unstable; urgency=medium

  * Fix arch:all FTBFS due to improper moving of sntp manpage (Closes: #865227)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 20 Jun 2017 09:01:07 +0200

ntp (1:4.2.8p10+dfsg-4) unstable; urgency=medium

  Upload changes tested in experimental to unstable

  * Build system/packaging changes
    - Update to debhelper sequencer, compat level 10
    - Bump Standards Version, no changes necessary
    - Build ntp reproducibly.
      Thanks to Reiner Herrmann (Closes: #828989)
    - Use 'debian' location file (Closes: #852946)
    - Install upstream manpages where available
      (Closes: #794182, #806645, #803709, #805325)
    - Re-enable Debugging (Closes: #643954)
  * Build sntp (Closes: #793837)
    - Split sntp into new binary package
  * Add systemd unit (Closes: #635752)
  + Documentation fixes
    - Fix spelling error in cron.daily/ntp (Closes: #739942)
    - Fix outdated path/package name in README.Debian (Closes: #806647)
  * Use tzdata leapfile in default configuration.
    Thanks to Edmund Grimley Evans (Closes: #858548)
    - add trigger to restart ntp on leapfile updates
  * Changes from Ubuntu, thanks to Christian Ehrhardt
    - apparmor: Allow access to winbindd pipe (Closes: #861727)
    - add apport hook (Closes: #861730)
  * Set --home in adduser to resolve lintian error
  * mark ntp-doc Multi-Arch: foreign

 -- Bernhard Schmidt <berni@debian.org>  Sat, 17 Jun 2017 21:51:57 +0200

ntp (1:4.2.8p10+dfsg-3) unstable; urgency=medium

  * No-change upload to supersede accidental upload of experimental
    to unstable

 -- Bernhard Schmidt <berni@debian.org>  Sun, 07 May 2017 23:04:52 +0200

ntp (1:4.2.8p10+dfsg-2) unstable; urgency=medium

  * Support pool statement in ntpdate-debian (Closes: #854432, #823120)
  * Point Vcs-* to pkg-ntp git repository
  * Add Bernhard Schmidt to Uploaders

 -- Bernhard Schmidt <berni@debian.org>  Sun, 07 May 2017 14:49:22 +0200

ntp (1:4.2.8p10+dfsg-1) unstable; urgency=high

  * New upstream version
    - Fix security issues
  * Update openssl-disable-check.patch

 -- Kurt Roeckx <kurt@roeckx.be>  Wed, 22 Mar 2017 21:53:40 +0100
