=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
 Uploaders: Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>, Bernhard Schmidt <berni@debian.org>
 Build-Depends: debhelper (>= 10), libedit-dev, libcap2-dev [linux-any], libssl-dev (>= 1.0.0e-1), autogen (>= 1:5.11), libopts25-dev (>= 1:5.11), pps-tools [linux-any], dh-apparmor
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3.0
 Homepage: http://support.ntp.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ntp/pkg-ntp.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-ntp/pkg-ntp.git/
+Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
+Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git
 
 Package: ntp
 Architecture: any
 Depends: adduser, lsb-base (>= 3.2-13), netbase, tzdata, ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: ${perl:Depends}, sntp
 Suggests: ntp-doc
-Breaks: dhcp3-client (<< 4.1.0-1), apparmor-profiles-extra (<< 1.8)
+Breaks: apparmor-profiles-extra (<< 1.8)
 Replaces: apparmor-profiles-extra (<< 1.8)
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks
@@ -36,23 +34,19 @@
 Package: ntpdate
 Architecture: any
 Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.15.7.2)
-Breaks: dhcp3-client (<< 4.1.0-1)
-Description: client for setting system time from NTP servers
+Description: client for setting system time from NTP servers (deprecated)
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
  or by following an accurate hardware receiver that interprets GPS,
  DCF-77, NIST or similar time signals.
  .
- ntpdate is a simple NTP client that sets a system's clock to match
- the time obtained by communicating with one or more NTP servers.  It
- is not sufficient, however, for maintaining an accurate clock in the
- long run.  ntpdate by itself is useful for occasionally setting the
- time on machines that do not have full-time network access, such as
- laptops.
+ ntpdate is deprecated. Please use sntp instead for manual or scripted
+ NTP queries/syncs.
  .
- If the full NTP daemon from the package "ntp" is installed, then
- ntpdate is not necessary.
+ Historically this package also includes hooks for ifupdown and dhclient.
+ These will be migrated to sntp in the future. If the full NTP daemon from
+ the package "ntp" is installed, this package is not necessary and may cause
+ unwanted behaviour.
 
 Package: ntp-doc
 Architecture: all
