## ntp 4.2.8p11+dfsg

=== debian/changelog ===
ntp (1:4.2.8p11+dfsg-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable (LP: #1773921). Remaining changes:
    - d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    - Add PPS support (LP 1512980):
      + debian/README.Debian: Add a PPS section to the README.Debian
      + debian/ntp.conf: Add some PPS configuration examples from the offical
        documentation.
    - d/ntp.dhcp add support for parsing systemd networkd lease files LP 1717983
  * Dropped Changes (accepted in Debian)
    - d/ntp-systemd-wrapper protect systemd service startup from concurrent
      ntpdate processes the same way it was protected on sysv-init (LP 1706818)
    - debian/apparmor-profile: add attach_disconnected which is needed in some
      cases to let ntp report its log messages (LP 1727202).
    - debian/apparmor-profile: avoid denies to to arg checks (LP 1741227)
    - fix apparmor denial when checking for running ntpdate (LP 1749389)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 29 May 2018 10:34:11 +0200

ntp (1:4.2.8p11+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2.8p11+dfsg (Closes: #851096)
    - Refresh patches
    - Drop ntpd-increase-stack-size included upstream
    - CVE-2018-7185: Unauthenticated packet can reset authenticated
      interleaved association (LOW/MED)
    - CVE-2018-7184: Interleaved symmetric mode cannot recover from bad state
      (LOW/MED)
    - CVE-2018-7170 / CVE-2016-1549: Provide a way to prevent authenticated
      symmetric passive peering (LOW)
    - CVE-2018-7183: decodearr() can write beyond its 'buf' limits (Medium)
    - CVE-2018-7182: ctl_getitem(): buffer read overrun leads to undefined
      behavior and information leak (Info/Medium)
    - CVE-2016-1549: Sybil vulnerability: ephemeral association attack
      (mitigated in 4.2.8p7)
  * convert dfsg.sh into mk-origtargz script
  * Run wrap-and-sort
  * Sync AppArmor profile changes from Ubuntu, including a fix for a
    harmless AppArmor denial in /usr/local (Closes: #883022)
  * Don't chown in postinst recursively.
    Thanks to Daniel Kahn Gillmor (Closes: #889488)
  * Build sntp against system libevent
  * Drop versioned build-deps already fulfilled by oldoldstable

 -- Bernhard Schmidt <berni@debian.org>  Sun, 25 Mar 2018 23:52:51 +0200

ntp (1:4.2.8p10+dfsg-5ubuntu7) bionic; urgency=medium

  * fix apparmor denial when checking for running ntpdate (LP: 1749389)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 14 Feb 2018 09:23:36 +0100

ntp (1:4.2.8p10+dfsg-5ubuntu6) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:21 +0000

ntp (1:4.2.8p10+dfsg-5ubuntu5) bionic; urgency=medium

  * debian/apparmor-profile: avoid denies to to arg checks (LP: #1741227)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 04 Jan 2018 14:20:53 +0100

ntp (1:4.2.8p10+dfsg-5ubuntu4) bionic; urgency=medium

  * debian/apparmor-profile: add attach_disconnected which is needed in some
    cases to let ntp report its log messages (LP: #1727202).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 13 Dec 2017 16:31:30 +0100

ntp (1:4.2.8p10+dfsg-5ubuntu3) artful; urgency=medium

  * d/ntp.dhcp add support for parsing systemd networkd lease files LP:
    #1717983

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 03 Oct 2017 01:54:33 +0100

ntp (1:4.2.8p10+dfsg-5ubuntu2) artful; urgency=medium

  * d/ntp-systemd-wrapper protect systemd service startup from concurrent
    ntpdate processes the same way it was protected on sysv-init (LP: #1706818)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 05 Sep 2017 15:09:08 +0200

ntp (1:4.2.8p10+dfsg-5ubuntu1) artful; urgency=medium

  * Merge with Debian unstable (LP: #1604010). Remaining changes:
    - d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    - Add PPS support (LP 1512980):
      + debian/README.Debian: Add a PPS section to the README.Debian,
        removed all PPSkit one.
      + debian/ntp.conf: Add some configuration examples from the offical
        documentation.
  * Drop Changes (contribs accepted in Debian):
    - Apparmor bits not yet accepted in Debian
      + d/apparmor-profile add samba winbindd pipe (LP 1582767)
    - Fix ntpdate-debian to be able to parse new config of ntp (LP 1576698)
    - d/rules: enable debugging
    - d/rules, d/ntp.dirs, d/source_ntp.py: Add apport hook.
      + d/source_ntp.py: includes a filter on AppArmor profile names to prevent
        false positives from denials originating in other packages

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 21 Jun 2017 16:17:38 +0200

ntp (1:4.2.8p10+dfsg-1ubuntu1) artful; urgency=medium

  * Merge from Debian testing. Remaining changes:
    + d/rules: enable debugging
    + d/rules, d/ntp.dirs, d/source_ntp.py: Add apport hook.
      - d/source_ntp.py: includes a filter on AppArmor profile names to prevent
        false positives from denials originating in other packages
    + d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    + Fix ntpdate-debian to be able to parse new config of ntp
    + PPS Documentation:
      - d/README.Debian: Add a PPS section to the README.Debian,
        removed all PPSkit one.
      - d/ntp.conf: Add some configuration examples from the offical
        documentation.
    + Apparmor bits not yet accepted in Debian
      - d/apparmor-profile add samba winbindd pipe
  * Drop Changes:
    + d/control: Add bison to Build-Depends (for ntpd/ntp_parser.y); dropped
      as this was only needed while CVE delta was in place that needed
      ntpd/ntp_parser.[ch] regenerated from ntpd/ntp_parser.y
    + d/control: Add Suggests on apparmor; drop delta as this is not strictly
      needed.
    + Create etc/apparmor.d/{force-complain,tunables}/; force-complain is not

