=== debian/control ===
--- 
+++ 
@@ -1,9 +1,21 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
-Uploaders: Peter Eisentraut <petere@debian.org>, Kurt Roeckx <kurt@roeckx.be>, Bernhard Schmidt <berni@debian.org>
-Build-Depends: debhelper (>= 10), libedit-dev, libcap2-dev [linux-any], libssl-dev (>= 1.0.0e-1), autogen (>= 1:5.11), libopts25-dev (>= 1:5.11), pps-tools [linux-any], dh-apparmor
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NTP Team <pkg-ntp-maintainers@lists.alioth.debian.org>
+Uploaders: Peter Eisentraut <petere@debian.org>,
+           Kurt Roeckx <kurt@roeckx.be>,
+           Bernhard Schmidt <berni@debian.org>
+Build-Depends: autogen,
+               debhelper (>= 10),
+               dh-apparmor,
+               libcap2-dev [linux-any],
+               libedit-dev,
+               libevent-dev,
+               libopts25-dev,
+               libssl-dev,
+               pkg-config,
+               pps-tools [linux-any]
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
 Standards-Version: 4.1.3.0
 Homepage: http://support.ntp.org/
@@ -12,8 +24,13 @@
 
 Package: ntp
 Architecture: any
-Depends: adduser, lsb-base (>= 3.2-13), netbase, tzdata, ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${perl:Depends}, sntp
+Depends: adduser,
+         lsb-base (>= 3.2-13),
+         netbase,
+         tzdata,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: sntp, ${perl:Depends}
 Suggests: ntp-doc
 Breaks: apparmor-profiles-extra (<< 1.8)
 Replaces: apparmor-profiles-extra (<< 1.8)
