## ntp 4.2.8p12%2Bdfsg

=== debian/changelog ===
ntp (1:4.2.8p12+dfsg-3ubuntu4) focal; urgency=medium

  [ Bernhard Schmidt ]
  * Add Conflict/Replaces/Provides: time-daemon (Closes: #316549)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 02 Apr 2020 19:37:06 +0200

ntp (1:4.2.8p12+dfsg-3ubuntu3) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:57:18 +0000

ntp (1:4.2.8p12+dfsg-3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:04:26 +0000

ntp (1:4.2.8p12+dfsg-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable (LP: #1806382). Remaining changes:
    - d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    - add support for parsing systemd networkd lease files LP: 1717983
      + d/ntp.dhcp add support for parsing systemd networkd lease files
      + d/ntp-systemd-netif.service: service to call hook
      + d/ntp-systemd-netif.path: respond to lease changes
  * Dropped Changes (accepted in Debian)
    - Add PPS support (this is accepted in Debian and only had some readme
      and example entries left):

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 03 Dec 2018 13:05:00 +0100

ntp (1:4.2.8p12+dfsg-3) unstable; urgency=low

  * Treat testsuite errors as non-fatal on some architectures
    Fixes FTBFS on ppc64el, ia64, powerpc, ppc64

 -- Bernhard Schmidt <berni@debian.org>  Fri, 14 Sep 2018 22:31:42 +0200

ntp (1:4.2.8p12+dfsg-2) unstable; urgency=low

  * Drop ntpdate ifupdown hooks (Closes: #908286)
    These have been a constant source of problems and one-shot syncs
    are not a proper solution for timekeeping. See ntpdate.NEWS for
    details
  * Do not install /var/lib/ntpdate, not used anymore
  * Drop maintscript snippets for upgrading from versions prior to Jessie
  * Reenable unittest
    - disable always failing test-decodenetnum with a patch
  * Set Rules-Requires-Root: no

 -- Bernhard Schmidt <berni@debian.org>  Thu, 13 Sep 2018 23:16:11 +0200

ntp (1:4.2.8p12+dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 4.2.8p12
  * Update Maintainer address to ntp@packages.debian.org (Closes: #899940)
  * Update ntpdate.8 from ntpdate.html (Closes: #476491, #515246)

  [ Peter Eisentraut ]
  * Remove Peter Eisentraut from Uploaders

 -- Bernhard Schmidt <berni@debian.org>  Thu, 16 Aug 2018 22:20:29 +0200
