=== debian/rules ===
--- 
+++ 
@@ -70,5 +70,10 @@
 	dh_installinit -pntpdate --no-restart-after-upgrade
 	dh_apparmor --profile-name=usr.sbin.ntpd -pntp
 
-
 override_dh_auto_test:
+# Make the test suite fatal on arches where it works
+ifneq (,$(filter amd64 i386 arm64 armhf mips64el, $(DEB_HOST_ARCH)))
+	dh_auto_test
+else
+	dh_auto_test || echo "Ignoring testsuite error"
+endif
